Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CError

    java.lang.Object
      org.jasig.portal.channels.CError

All Implemented Interfaces:
  ICacheable, IChannel, ICharacterChannel, IPrivileged, IPrivilegedChannel

Deprecated. moved to org.jasig.portal.channels.error package.

    public class CError

extends java.lang.Object
implements IPrivilegedChannel, ICacheable, ICharacterChannel

Deprecated legacy stub channel. CError has been moved to the org.jasig.portal.error package. This class exists to provide backwards compatibility -- it delegates to the org.jasig.portal.error.CError channel.

Version:
  $Revision: 1.46 $ $Date: 2005/04/17 20:55:47 $
Author:
  andrew.petro@yale.edu

Field Summary
`static int` | `AUTHORIZATION_EXCEPTION` Deprecated.
`static int` | `CHANNEL_AUTHORIZATION_EXCEPTION` Deprecated. Error code representing failure to render due to lack of authorization.
`static int` | `CHANNEL_MISSING_EXCEPTION` Deprecated. Error code representing the channel being just plain missing.
`private CError` | `delegate` Deprecated. The modern CError instance to which we delegate.
`static int` | `GENERAL_ERROR` Deprecated. Generic error code
`static int` | `GENERAL_RENDERING_EXCEPTION` Deprecated.
`static int` | `INTERNAL_TIMEOUT_EXCEPTION` Deprecated.
`static int` | `RENDER_TIME_EXCEPTION` Deprecated. Error code for failure during rendering.
`static int` | `RESOURCE_MISSING_EXCEPTION` Deprecated.
`static int` | `SET_PCS_EXCEPTION` Deprecated. Error code representing failure when framework attempts to set channel portal control structures.
`static int` | `SET_RUNTIME_DATA_EXCEPTION` Deprecated. Error code for errors at time runtime data is set.
`static int` | `SET_STATIC_DATA_EXCEPTION` Deprecated. Error code for errors at time static data is set
`static int` | `TIMEOUT_EXCEPTION` Deprecated. Error code for channels that fail to complete rendering during allotted time.

Constructor Summary
`CError()` Deprecated. Construct an uninitialized instance of the CError channel.
`CError(int errorCode, java.lang.String message, java.lang.String channelSubscribeId, IChannel channelInstance)` Deprecated. Instantiate a CError representing a particular channel's failure, including a message and errorCode, but not a Throwable.
`CError(int errorCode, java.lang.Throwable throwable, java.lang.String channelSubscribeId, IChannel channelInstance)` Deprecated. Construct an instance of the Error channel representing a failure to render of a particular subscribed channel for reason of having thrown a Throwable.
`CError(int errorCode, java.lang.Throwable exception, java.lang.String channelSubscribeId, IChannel channelInstance, java.lang.String message)` Deprecated. Instantiate a CError instance representing the failure of some particular channel, including an error code, message, and the Throwable.

Method Summary
`ChannelCacheKey` | `generateKey()` Deprecated. Requests the channel to generate a key uniqly describing it's current state, and a description of key usage.
`ChannelRuntimeProperties` | `getRuntimeProperties()` Deprecated. Acquires ChannelRuntimeProperties from the channel.
`boolean` | `isCacheValid(java.lang.Object validity)` Deprecated. Requests the channel to verify validity of the retreived cache based on the validator object.
`void` | `receiveEvent(PortalEvent ev)` Deprecated. Passes an outside event to a channel.
`void` | `renderCharacters(java.io.PrintWriter out)` Deprecated. Asks the channel to render its content as characters.
`void` | `renderXML(org.xml.sax.ContentHandler out)` Deprecated. Ask channel to render its content.
`void` | `setMessage(java.lang.String m)` Deprecated. Set the failure message.
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Deprecated. Passes portal control structure to the channel.
`void` | `setRuntimeData(ChannelRuntimeData rd)` Deprecated. Passes ChannelRuntimeData to the channel.
`void` | `setStaticData(ChannelStaticData sd)` Deprecated. Passes ChannelStaticData to the channel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERAL_ERROR

    public static final int GENERAL_ERROR

  Deprecated.
  Generic error code

  See Also:
    Constant Field Values

### RENDER_TIME_EXCEPTION

    public static final int RENDER_TIME_EXCEPTION

  Deprecated.
  Error code for failure during rendering.

  See Also:
    Constant Field Values

### SET_STATIC_DATA_EXCEPTION

    public static final int SET_STATIC_DATA_EXCEPTION

  Deprecated.
  Error code for errors at time static data is set

  See Also:
    Constant Field Values

### SET_RUNTIME_DATA_EXCEPTION

    public static final int SET_RUNTIME_DATA_EXCEPTION

  Deprecated.
  Error code for errors at time runtime data is set.

  See Also:
    Constant Field Values

### TIMEOUT_EXCEPTION

    public static final int TIMEOUT_EXCEPTION

  Deprecated.
  Error code for channels that fail to complete rendering during allotted time.

  See Also:
    Constant Field Values

### SET_PCS_EXCEPTION

    public static final int SET_PCS_EXCEPTION

  Deprecated.
  Error code representing failure when framework attempts to set channel portal control structures.

  See Also:
    Constant Field Values

### CHANNEL_AUTHORIZATION_EXCEPTION

    public static final int CHANNEL_AUTHORIZATION_EXCEPTION

  Deprecated.
  Error code representing failure to render due to lack of authorization.

  See Also:
    Constant Field Values

### CHANNEL_MISSING_EXCEPTION

    public static final int CHANNEL_MISSING_EXCEPTION

  Deprecated.
  Error code representing the channel being just plain missing.

  See Also:
    Constant Field Values

### GENERAL_RENDERING_EXCEPTION

    public static final int GENERAL_RENDERING_EXCEPTION

  Deprecated.
  See Also:
    Constant Field Values

### INTERNAL_TIMEOUT_EXCEPTION

    public static final int INTERNAL_TIMEOUT_EXCEPTION

  Deprecated.
  See Also:
    Constant Field Values

### AUTHORIZATION_EXCEPTION

    public static final int AUTHORIZATION_EXCEPTION

  Deprecated.
  See Also:
    Constant Field Values

### RESOURCE_MISSING_EXCEPTION

    public static final int RESOURCE_MISSING_EXCEPTION

  Deprecated.
  See Also:
    Constant Field Values

### delegate

    private CError delegate

  Deprecated.
  The modern CError instance to which we delegate.

Constructor Detail

### CError

    public CError()

  Deprecated.
  Construct an uninitialized instance of the CError channel.

### CError

    public CError(int errorCode,
                  java.lang.Throwable throwable,
                  java.lang.String channelSubscribeId,
                  IChannel channelInstance)

  Deprecated.
  Construct an instance of the Error channel representing a failure to render of a particular subscribed channel for reason of having thrown a Throwable.

  Parameters:
    `errorCode` - - one of the static error codes of this class
    `throwable` - - cause of failed channel's failure
    `channelSubscribeId` - - identifies the failed channel
    `channelInstance` - - the failed channel

### CError

    public CError(int errorCode,
                  java.lang.String message,
                  java.lang.String channelSubscribeId,
                  IChannel channelInstance)

  Deprecated.
  Instantiate a CError representing a particular channel's failure, including a message and errorCode, but not a Throwable.

  Parameters:
    `errorCode` - - one of the static error codes of this class
    `message` - - describes error
    `channelSubscribeId` - - identifies failed channel
    `channelInstance` - - failed channel

### CError

    public CError(int errorCode,
                  java.lang.Throwable exception,
                  java.lang.String channelSubscribeId,
                  IChannel channelInstance,
                  java.lang.String message)

  Deprecated.
  Instantiate a CError instance representing the failure of some particular channel, including an error code, message, and the Throwable.

  Parameters:
    `errorCode` - - one of the static error codes of this class
    `exception` - - thrown by the failed channel
    `channelSubscribeId` - - identifies failed channel
    `channelInstance` - - the failed channel instance
    `message` - - message describing failure

Method Detail

### setMessage

    public void setMessage(java.lang.String m)

  Deprecated.
  Set the failure message.

  Parameters:
    `m` - - a mesage describing the error.

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)

  Deprecated.
  Description copied from interface: `IPrivileged`
  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  See Also:
    `PortalControlStructures`

### setStaticData

    public void setStaticData(ChannelStaticData sd)

  Deprecated.
  Description copied from interface: `IChannel`
  Passes ChannelStaticData to the channel. This is done during channel instantiation time. see org.jasig.portal.ChannelStaticData

  Specified by:
    `setStaticData` in interface `IChannel`
  Parameters:
    `sd` - channel static data
  See Also:
    `ChannelStaticData`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)

  Deprecated.
  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to

### generateKey

    public ChannelCacheKey generateKey()

  Deprecated.
  Description copied from interface: `ICacheable`
  Requests the channel to generate a key uniqly describing it's current state, and a description of key usage.

  Specified by:
    `generateKey` in interface `ICacheable`

### isCacheValid

    public boolean isCacheValid(java.lang.Object validity)

  Deprecated.
  Description copied from interface: `ICacheable`
  Requests the channel to verify validity of the retreived cache based on the validator object.

  Specified by:
    `isCacheValid` in interface `ICacheable`

### renderCharacters

    public void renderCharacters(java.io.PrintWriter out)
                          throws PortalException

  Deprecated.
  Description copied from interface: `ICharacterChannel`
  Asks the channel to render its content as characters. The method has the same call precedence as the IChannel.renderXML() method. (i.e. if the channel also supports ICacheable, portal will try to find a cache entry prior calling this method)

  Specified by:
    `renderCharacters` in interface `ICharacterChannel`
  Parameters:
    `out` - a `PrintWriter` value into which the character output should be directed
  Throws:
    `PortalException` - if an error occurs

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Deprecated.
  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### receiveEvent

    public void receiveEvent(PortalEvent ev)

  Deprecated.
  Description copied from interface: `IChannel`
  Passes an outside event to a channel. Events should normally come from the LayoutBean.

  Specified by:
    `receiveEvent` in interface `IChannel`
  Parameters:
    `ev` - PortalEvent object
  See Also:
    `PortalEvent`

### getRuntimeProperties

    public ChannelRuntimeProperties getRuntimeProperties()

  Deprecated.
  Description copied from interface: `IChannel`
  Acquires ChannelRuntimeProperties from the channel. This function may be called by the portal framework throughout the session. Currently, as of uPortal 2.5.1, the framework calls this method after each invocation of renderXML (to determine if there is a dynamic channel title). Prior to uPortal 2.5.1, the framework would not call this method.

  Specified by:
    `getRuntimeProperties` in interface `IChannel`
  See Also:
    `ChannelRuntimeProperties`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD